import { SetMetadata } from '@nestjs/common';
import { PAGINATION_RESPONSE } from '../../constants';

/**
 * This decorator will tell the response,
 * that this request is pagination type
 */
export const Pagination = (isPagination = true) =>
  SetMetadata(PAGINATION_RESPONSE, isPagination);
