import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { ItemEntity } from '../../domain/entities/item.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { ItemModel } from '../models/item.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class ItemDataService extends BaseDataService<ItemEntity> {
  constructor(
    @InjectRepository(ItemModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<ItemModel>,
  ) {
    super(repo);
  }
}
