import { Inject, Injectable } from '@nestjs/common';
import { UserProvider } from 'src/core/sessions';
import { BLANK_USER } from 'src/core/strings/constants/base.constants';

@Injectable()
export class BaseReportService {
  @Inject()
  protected userProvider: UserProvider;

  getUser() {
    try {
      return this.userProvider?.user;
    } catch (error) {
      return BLANK_USER;
    }
  }
}
