import { Injectable } from '@nestjs/common';
import { TransactionEntity } from '../../domain/entities/transaction.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { TransactionModel } from '../models/transaction.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';
import { BaseReadService } from 'src/core/modules/data/service/base-read.service';

@Injectable()
export class TransactionReadService extends BaseReadService<TransactionEntity> {
  constructor(
    @InjectRepository(TransactionModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<TransactionModel>,
  ) {
    super(repo);
  }
}
