import { IsString } from 'class-validator';
import { LoginRequest } from '../../domain/entities/request.interface';
import { ApiProperty } from '@nestjs/swagger';

export class LoginDto implements LoginRequest {
  @ApiProperty({ name: 'username', required: true, default: 'superadmin' })
  @IsString()
  username: string;

  @ApiProperty({ name: 'password', required: true, default: 'Eigen123!' })
  @IsString()
  password: string;
}
