import { Injectable } from '@nestjs/common';
import { BaseDataService } from 'src/core/modules/data/service/base-data.service';
import { ItemRateEntity } from '../../domain/entities/item-rate.entity';
import { InjectRepository } from '@nestjs/typeorm';
import { ItemRateModel } from '../models/item-rate.model';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { Repository } from 'typeorm';

@Injectable()
export class ItemRateDataService extends BaseDataService<ItemRateEntity> {
  constructor(
    @InjectRepository(ItemRateModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<ItemRateModel>,
  ) {
    super(repo);
  }
}
