import {
  Body,
  Controller,
  Delete,
  Get,
  Param,
  Post,
  Put,
  Query,
} from '@nestjs/common';
import { ApiBearerAuth, ApiTags } from '@nestjs/swagger';
import { Public } from 'src/core/guards';
import { MODULE_NAME } from 'src/core/strings/constants/module.constants';
import { GetReportBookmarkDto } from '../shared/dto/report-bookmark.get.dto';
import { CreateReportBookmarkDto } from '../shared/dto/report-bookmark.create.dto';

@ApiTags(`${MODULE_NAME.REPORT_BOOKMARK.split('-').join(' ')}`)
@Controller(`v1/${MODULE_NAME.REPORT_BOOKMARK}`)
@Public(false)
@ApiBearerAuth('JWT')
export class ReportBookmarkController {
  @Post()
  async create(@Body() body: CreateReportBookmarkDto) {
    return;
  }

  @Get()
  async getAll(@Query() query: GetReportBookmarkDto) {
    return;
  }

  @Put('applied/:id')
  async applied(@Param('id') id: string) {
    return;
  }

  @Put('unapplied/:id')
  async unapplied(@Param('id') id: string) {
    return;
  }

  @Delete(':id')
  async delete(@Param('id') id: string) {
    return;
  }
}
