import {
  Body,
  Controller,
  Delete,
  Get,
  Param,
  Post,
  Put,
  Query,
} from '@nestjs/common';
import { ApiBearerAuth, ApiTags } from '@nestjs/swagger';
import { Public } from 'src/core/guards';
import { MODULE_NAME } from 'src/core/strings/constants/module.constants';
import { CreateReportExportDto } from '../shared/dto/report-export.create.dto';
import {
  GetReportExportDto,
  GetReportExportFileNameDto,
  GetReportExportProcessingDto,
} from '../shared/dto/report-export.get.dto';

@ApiTags(`${MODULE_NAME.REPORT_EXPORT.split('-').join(' ')}`)
@Controller(`v1/${MODULE_NAME.REPORT_EXPORT}`)
@Public(false)
@ApiBearerAuth('JWT')
export class ReportExportController {
  @Post()
  async create(@Body() body: CreateReportExportDto) {
    return;
  }

  @Get()
  async getAll(@Query() query: GetReportExportDto) {
    return;
  }

  @Delete(':id')
  async delete(@Param('id') id: string) {
    return;
  }

  @Get('processing')
  async getAllProcessing(@Query() query: GetReportExportProcessingDto) {
    return;
  }

  @Get('filename-history')
  async getListHistoryFileName(@Query() query: GetReportExportFileNameDto) {
    return;
  }
}
