import { Injectable } from '@nestjs/common';
import { BaseReportService } from '../shared/services/base-report.service';
import { GetReportConfigDto } from '../shared/dto/report-config.get.dto';
import { GetReportDataDto } from '../shared/dto/report-data.get.dto';

@Injectable()
export class ReportService extends BaseReportService {
  async getReportConfig(query: GetReportConfigDto) {
    return this.getUser();
  }

  async getReportData(body: GetReportDataDto) {
    return this.getUser();
  }
}
