import { ApiProperty } from '@nestjs/swagger';
import { Transform } from 'class-transformer';
import { REPORT_BOOKMARK_TYPE } from '../constant';

export class GetReportBookmarkDto {
  @ApiProperty({ type: ['string'], required: false })
  @Transform((body) => {
    return Array.isArray(body.value) ? body.value : [body.value];
  })
  group_names?: string;

  @ApiProperty({ type: ['string'], required: false })
  @Transform((body) => {
    return Array.isArray(body.value) ? body.value : [body.value];
  })
  unique_names?: string[];

  @ApiProperty({ type: ['string'], required: false })
  @Transform((body) => {
    return Array.isArray(body.value) ? body.value : [body.value];
  })
  types?: REPORT_BOOKMARK_TYPE[];
}
