import { BaseStatusDto } from 'src/core/modules/infrastructure/dto/base-status.dto';
import { VipCategoryEntity } from '../../domain/entities/vip-category.entity';
import { ApiProperty } from '@nestjs/swagger';
import { IsString } from 'class-validator';

export class VipCategoryDto extends BaseStatusDto implements VipCategoryEntity {
  @ApiProperty({
    name: 'name',
    type: String,
    required: true,
    example: 'Influencer',
  })
  @IsString()
  name: string;
}
